<?php
/**
 * @file
 * accounting_modules.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function accounting_modules_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "feeds" && $api == "feeds_importer_default") {
    return array("version" => "1");
  }
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function accounting_modules_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_fe_date_custom_date_formats().
 */
function accounting_modules_fe_date_custom_date_formats() {
  $custom_date_formats = array();
  $custom_date_formats['U'] = 'U';
  $custom_date_formats['Ymd'] = 'Ymd';
  $custom_date_formats['d/m/Y'] = 'd/m/Y';
  $custom_date_formats['d/m/Y H:i'] = 'd/m/Y H:i';
  return $custom_date_formats;
}

/**
 * Implements hook_date_format_types().
 */
function accounting_modules_date_format_types() {
  $format_types = array();
  // Exported date format type: contextfilter
  $format_types['contextfilter'] = 'contextFilter';
  // Exported date format type: shortdayandtime
  $format_types['shortdayandtime'] = 'shortDayAndTime';
  // Exported date format type: shortdayonly
  $format_types['shortdayonly'] = 'shortDayOnly';
  // Exported date format type: unixtimestamp
  $format_types['unixtimestamp'] = 'unixTimeStamp';
  return $format_types;
}

/**
 * Implements hook_node_info().
 */
function accounting_modules_node_info() {
  $items = array(
    'account' => array(
      'name' => t('Account'),
      'base' => 'node_content',
      'description' => t('Add a new account'),
      'has_title' => '1',
      'title_label' => t('Account title'),
      'help' => '',
    ),
    'invoice' => array(
      'name' => t('Invoice'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'part' => array(
      'name' => t('Part'),
      'base' => 'node_content',
      'description' => t('Part of a transaction '),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'report' => array(
      'name' => t('Report'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'reporting_group' => array(
      'name' => t('Reporting group'),
      'base' => 'node_content',
      'description' => t('Reporting groups aggregate all accounts that are linked to the group'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'time_record' => array(
      'name' => t('Time record'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'transaction' => array(
      'name' => t('Transaction'),
      'base' => 'node_content',
      'description' => t('A transaction between two accounts'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'transaction_match' => array(
      'name' => t('Transaction match'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}

/**
 * Implements hook_default_rules_link().
 */
function accounting_modules_default_rules_link() {
  $items = array();
  $items['clone_button'] = entity_import('rules_link', '{
    "settings" : {
      "text" : "clone",
      "link_type" : "token",
      "bundles" : [],
      "entity_link" : 1,
      "view_mode" : []
    },
    "name" : "clone_button",
    "label" : "Clone button",
    "path" : "clone_button",
    "entity_type" : "node"
  }');
  $items['set_time_end'] = entity_import('rules_link', '{
    "settings" : {
      "text" : "stop",
      "link_type" : "token",
      "bundles" : { "time_record" : "time_record" },
      "entity_link" : 0,
      "view_mode" : []
    },
    "name" : "set_time_end",
    "label" : "Set time end",
    "path" : "set_time_end",
    "entity_type" : "node"
  }');
  return $items;
}
